# -*- rpm-spec -*-

%define patch_name	kernel-fix-drivers-ieee1394

Name: %patch_name
Version: 2006.09.03
Release: alt1

Summary: %patch_name - Linux kernel IEEE1394 drivers fixes
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildArch: noarch

%source 2600	2.6_00_sbp2-fix-spinlock-recursion.patch		2.6
%source 2601	2.6_01_ohci1394-sbp2-pl3507-workaround.patch		2.6
%source 2602	2.6_02_sbp2-ipod-read_capacity-workaround.patch		2.6
%source 2603	2.6_03_sbp2-status-fifo-error-check.patch		2.6
%source 2604	2.6_04_ohci1394-suspend-resume.patch			2.6
%source 2605	2.6_05_ohci1394-suspend-resume-fix.patch		2.6
%source 2606	2.6_06_sbp2-maxtor-auto-spinup.patch			2.6

BuildRequires: kernel-build-tools

%description
Linux kernel IEEE1394 drivers fixes

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Sun Sep 03 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.09.03-alt1
- Added patches for 2.6.16:
  + 2.6_04_ohci1394-suspend-resume.patch: ohci1394: fix broken suspend/resume
  + 2.6_05_ohci1394-suspend-resume-fix.patch: ohci1394: fix PPC-specific
    breakage caused by the previous fix
  + 2.6_06_sbp2-maxtor-auto-spinup.patch: sbp2: enable auto spin-up for Maxtor
    disks

* Sun Jun 11 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.06.11-alt1
- Added patches for 2.6.16:
  + 2.6_01_ohci1394-sbp2-pl3507-workaround.patch: ohci1394, sbp2: fix
    "scsi_add_device failed" with PL-3507 based devices
  + 2.6_02_sbp2-ipod-read_capacity-workaround.patch: sbp2: backport
    read_capacity workaround for iPod
  + 2.6_03_sbp2-status-fifo-error-check.patch: sbp2: fix check of return value
    of hpsb_allocate_and_register_addrspace

* Wed Apr 12 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.04.12-alt1
- Removed old patches.
- Added patches for 2.6.16:
  + 2.6_00_sbp2-fix-spinlock-recursion.patch: sbp2: fix spinlock recursion

* Wed Dec 29 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.12.29-alt1
- Removed old patches.
- Added:
  + 2.6_50_broken-aliases.patch: remove broken MODULE_ALIAS_CHARDEV entries
    from ieee1394 modules (#3873).

* Sun Mar 21 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.21-alt1
- Removed old patches.
- Added:
  + 00_video1394-init.patch: Init d->link list head so failures are handled
    properly
  + 01_dma-vmalloc.patch: Use vmalloc to allocate sglist array for larger cases

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Replaced 00_ieee1394-nodemgr-lock-fix.patch with 00_ieee1394-fixes.patch
  (includes the previous fix and more).

* Wed Sep 24 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.24-alt1
- Initial release
- 00_ieee1394-nodemgr-lock-fix.patch - fixes locking in nodemgr_host_thread

